Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

# Class CallsComparator

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.m2m.atl.profiler.ui.profilingdatatable.CallsComparator

public class CallsComparator extends org.eclipse.jface.viewers.ViewerComparator
A comparator for calls.

## Constructor Summary

Constructors
Constructor
Description
`CallsComparator()`
Default constructor, for ascendant sorting.
`CallsComparator(boolean asc)`
Constructor for ascendant or descendant sorting.

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(org.eclipse.jface.viewers.Viewer viewer, Object e1, Object e2)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallsComparator

public CallsComparator()
Default constructor, for ascendant sorting.

### CallsComparator

public CallsComparator(boolean asc)
Constructor for ascendant or descendant sorting.

Parameters:
  `asc` - for ascendant or descendant sorting.

## Method Details

### compare

public int compare(org.eclipse.jface.viewers.Viewer viewer, Object e1, Object e2)

Overrides:
  `compare` in class `org.eclipse.jface.viewers.ViewerComparator`
See Also:
  - `ViewerComparator.compare(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`